For the complete documentation index, see llms.txt. This page is also available as Markdown.

Authentication Implementations

Create Authentication Implementation Endpoint

post

Adds one or more endpoints to a specific authentication implementation.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
authentication_implementationstringRequired

The authentication implementation identifier.

Body
endpoint_idsstringRequired
Responses
200

Successful response

application/json
post/api/v1/authentication-implementations/{authentication_implementation}/endpoints
POST /api/v1/authentication-implementations/{authentication_implementation}/endpoints HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 39

{
  "endpoint_ids": "example_endpoint_ids"
}
{
  "data": {
    "id": 1,
    "field_path": "example_field_path",
    "tags": "example_tags",
    "label": "My Label",
    "key": "example_key",
    "value": "example_value",
    "secret": "example_secret",
    "variables": "example_variables",
    "created_at": "2025-01-15T10:30:00.000000Z",
    "updated_at": "2025-01-15T10:30:00.000000Z",
    "name": "My Example",
    "system_id": 1,
    "system": {},
    "entity_type_id": 1,
    "entity_type": {},
    "endpoint": "example_endpoint",
    "http_method": "CONNECT",
    "data_type": "csv",
    "pagination_method": "Custom relative URI",
    "deprecated_at": "2025-01-15T10:30:00.000000Z",
    "direction": "Send",
    "returns_multiple_records": true,
    "pre_script_version_id": 1,
    "post_script_version_id": 1,
    "endpoint_schema": [],
    "field_tags": [],
    "data_path": [],
    "body_format": "none",
    "raw_body": [],
    "filters": [],
    "modified": [],
    "help_link": [],
    "authentication_implementations": [],
    "pre_script_version": "example_pre_script_version",
    "post_script_version": "example_post_script_version",
    "disable_header_addition": true,
    "response_encoding": "base64"
  }
}

Delete Authentication Implementation Endpoint

delete

Permanently removes a specific endpoint from a specific authentication implementation.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
authentication_implementationstringRequired

The authentication implementation identifier.

endpointstringRequired

The endpoint identifier.

Responses
200

Successful response

application/json
messagestringOptional
delete/api/v1/authentication-implementations/{authentication_implementation}/endpoints/{endpoint}
DELETE /api/v1/authentication-implementations/{authentication_implementation}/endpoints/{endpoint} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "message": "Action completed successfully."
}

List Authentication Implementation Variables

get

Retrieves a paginated list of variables for a specific authentication implementation.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
authentication_implementationstringRequired

The authentication implementation identifier.

Query parameters
filter[label]stringOptional

Filter results by label.

filter[key]stringOptional

Filter results by key.

filter[value]stringOptional

Filter results by value.

sortstringOptional

Sort field. Prefix with - for descending. Available: label, key, value

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
200

Successful response

application/json
get/api/v1/authentication-implementations/{authentication_implementation}/variables
GET /api/v1/authentication-implementations/{authentication_implementation}/variables HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "id": 1,
      "label": "My Label",
      "key": "example_key",
      "value": "example_value",
      "secret": "example_secret",
      "locked": "example_locked",
      "configurable": "example_configurable",
      "created_at": "2025-01-15T10:30:00.000000Z",
      "updated_at": "2025-01-15T10:30:00.000000Z",
      "modified": "example_modified",
      "pivot": "example_pivot",
      "required": true,
      "advanced": true,
      "alias": "example_alias"
    }
  ],
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "path": "https://api.example.com/api/v1/authentication-implementations/{authentication_implementation}/variables",
    "per_page": 25,
    "to": 1,
    "total": 1
  },
  "links": {
    "first": "https://api.example.com/api/v1/authentication-implementations/{authentication_implementation}/variables?page=1",
    "last": "https://api.example.com/api/v1/authentication-implementations/{authentication_implementation}/variables?page=1",
    "prev": null,
    "next": null
  }
}

Create Authentication Implementation Variable

post

Creates a new variable for a specific authentication implementation.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
authentication_implementationstringRequired

The authentication implementation identifier.

Body
labelstringRequired
keystringRequired
valuestringOptional
secretstringOptional
Responses
200

Successful response

application/json
post/api/v1/authentication-implementations/{authentication_implementation}/variables
POST /api/v1/authentication-implementations/{authentication_implementation}/variables HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 222

{
  "label": "My Label",
  "key": "example_key",
  "value": "example_value",
  "secret": "example_secret",
  "pivot": {
    "alias": "example_alias",
    "configurable": "example_configurable",
    "required": "example_required",
    "advanced": "example_advanced"
  }
}
{
  "data": {
    "id": 1,
    "label": "My Label",
    "key": "example_key",
    "value": "example_value",
    "secret": "example_secret",
    "locked": "example_locked",
    "configurable": "example_configurable",
    "created_at": "2025-01-15T10:30:00.000000Z",
    "updated_at": "2025-01-15T10:30:00.000000Z",
    "modified": "example_modified",
    "pivot": "example_pivot",
    "required": true,
    "advanced": true,
    "alias": "example_alias"
  }
}

Delete Authentication Implementation Variable

delete

Permanently deletes a specific variable from a specific authentication implementation.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
authentication_implementationstringRequired

The authentication implementation identifier.

variablestringRequired

The variable identifier.

Responses
200

Successful response

application/json
messagestringOptional
delete/api/v1/authentication-implementations/{authentication_implementation}/variables/{variable}
DELETE /api/v1/authentication-implementations/{authentication_implementation}/variables/{variable} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "message": "Action completed successfully."
}

Last updated

Was this helpful?